# No SOURCE spec-file
#
# Instructions:
# - install new FF *and* the -devel package!
#
# - then check Instructions in pclos-firefox-l10n and continue there
#
# pinoc
#
%define mozillalibdir %{_libdir}/%{name}
%define pluginsdir /usr/lib/mozilla/plugins


Summary:	Mozilla Firefox web browser
Name:		firefox
Version:	59.0.2
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
URL:		http://www.firefox.com/
Source3:	%{name}.png
Source4:	firefox.desktop
#Source11:	browser.omni.ja
Source12:	channel-prefs.js
#-----------------------------------------------------
Provides:	mozilla-firefox
Provides:	webclient
Requires:	indexhtml
Requires:   xdg-utils
Requires:	m4
Obsoletes:	%{name} < %version
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
Mozilla Firefox is a free and open source web browser descended
from the Mozilla Application Suite and managed by Mozilla Corporation.


%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Obsoletes:	%name-devel < %version

%description	devel
Files and macros mainly for building Firefox extensions.

%prep
#Here we go!
cd %_builddir
wget -nc http://ftp.mozilla.org/pub/firefox/releases/%{version}/linux-x86_64/en-US/firefox-%{version}.tar.bz2
tar -xvjf firefox-%{version}.tar.bz2


%build
#nobuild


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


mkdir -p %{buildroot}%{mozillalibdir}
cp -r %name/* %{buildroot}%{mozillalibdir}


#compatibility links
mkdir -p %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/firefox %{buildroot}%_bindir/mozffremote
ln -sf %{mozillalibdir}/firefox %{buildroot}%{_bindir}/mozilla-firefox
ln -sf %{mozillalibdir}/firefox %{buildroot}%{_bindir}/firefox

# Create an own %_libdir/mozilla/plugins
mkdir -p %{buildroot}/usr/lib/mozilla/plugins

mkdir -p %{buildroot}%{_datadir}/{pixmaps,applications}
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{name}.png
# icons
%{__cp} %{buildroot}%{mozillalibdir}/browser/chrome/icons/default/default16.png %{buildroot}/%{mozillalibdir}/icons/
for i in 16 32 48 ; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps
ln -sf %{mozillalibdir}/browser/chrome/icons/default/default$i.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/firefox.png ;
done

# exclusions
rm -rf %{buildroot}%{mozillalibdir}/README.txt
rm -rf %{buildroot}%{mozillalibdir}/removed-files
rm -rf %{buildroot}%{mozillalibdir}/precomplete


cat << EOF >> %{buildroot}%{mozillalibdir}/defaults/pref/local-settings.js
pref("general.config.obscure_value", 0);
pref("general.config.filename", "mozilla.cfg");
EOF

cat << EOF >> %{buildroot}%{mozillalibdir}/mozilla.cfg
defaultPref("browser.search.selectedEngine","Google.com");
defaultPref("browser.EULA.override", true);
defaultPref("app.update.auto", false);
defaultPref("app.update.enabled", false);
defaultPref("app.update.autoInstallEnabled", false);
defaultPref("security.ssl.require_safe_negotiation", false);
defaultPref("network.dns.disableIPv6", true);
defaultPref("font.size.variable.x-western", 17);
defaultPref("browser.rights.3.shown", true);
defaultPref("browser.shell.checkDefaultBrowser", false);
defaultPref("browser.startup.homepage_override.mstone", "ignore");
defaultPref("toolkit.telemetry.prompted", 2);
defaultPref("toolkit.telemetry.rejected", true);
defaultPref("intl.locale.requested", "");
EOF

install -m 0644 %{SOURCE12} %{buildroot}%{mozillalibdir}/defaults/pref/channel-prefs.js


%find_lang %{name}

mkdir -p %{buildroot}%{_sys_macros_dir}


cat << EOF >>%{buildroot}%{_sys_macros_dir}/%{name}.macros
# Macros from %{name} package
%%firefox_major              %{major}
%%firefox_version            %{version}
%%firefox_mozillapath        %{mozillalibdir}
%%firefox_pluginsdir         %{pluginsdir}
%%firefox_extdir             %{mozillalibdir}/browser/extensions
EOF


%preun
update-alternatives --remove x-www-browser /usr/bin/firefox
update-alternatives --remove gnome-www-browser /usr/bin/firefox

%post
update-alternatives --install /usr/bin/x-www-browser x-www-browser /usr/bin/firefox 200
update-alternatives --install /usr/bin/gnome-www-browser gnome-www-browser /usr/bin/firefox 200


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*

%files
%defattr(-,root,root)
%{_bindir}/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/*.desktop
%dir %{_libdir}/%{name}
%{_libdir}/%{name}
%dir /usr/lib/mozilla
%dir %{pluginsdir}
%{_datadir}/pixmaps/*.png


%files devel
%{_sys_macros_dir}/%{name}.macros


%changelog
* Mon Mar 26 2018 bb2 <bb2> - 0.59.0.2-1pclos2018
- update

* Fri Mar 16 2018 bb2 <bb2> - 0.59.0.1-2pclos2018
- fix config file for locale

* Wed Mar 16 2018 bb2 <bb2> - 0 59.0.1-1pclos2018
- new version 

* Tue Mar 13 2018 bb2 <bb2> - 59.0-1pclos2018
- new version
